Description

1. In the Save Dialog, replace the selection list by a check box with the following text:
Publish with a DOI and make all metadata and data publicly readable
2. Add the following tooltip for the DOI:

A DOI (Digital Object Identifier) is a unique, permanent identifier that can be assigned to journal articles and data sets and is widely
recognized as a means of citing these published products. An example DOl is doi:10....

3. If there are any data objects or metadata object is not public readable in this data package, the access policy will be changed to be
public readable.

History

#1 - 03/27/2013 02:32 PM - Redmine Admin
Original Bugzilla ID was 5897

#2 - 03/27/2013 05:03 PM - Jing Tao

test sending email for Redmine

#3 - 03/27/2013 05:07 PM - Jing Tao

test again.

#4 - 03/27/2013 05:09 PM - Jing Tao

sorry for the testing (.

#5 - 03/27/2013 05:37 PM - Jing Tao

hope this is the final email test.

#6 - 04/04/2013 09:02 AM - ben leinfelder

Looks good. A couple suggestions:

1. Make all the fonts the same size/format in the dialog. Right now the instructions appear smaller than the checkbox options for location but the
checkbox option for DOI is smaller than the other checkbox text.

2. Display the tooltip longer - ideally until someone moves the mouse off of the component. | believe you can do this with the dismiss delay:
http://docs.oracle.com/javase/6/docs/api/javax/swing/ToolTipManager.htmi#setDismissDelay(int)

#7 - 10/18/2013 03:34 PM - Jing Tao

- Status changed from New to Closed

The label and check boxes are use the default font now. And the tooltip will be displayed for ever if you don't move your mouse away.

#8 - 10/18/2013 03:46 PM - Matt Jones

- Subject changed from The Ul improvement for the DOI saving. to Improve Ul for saving using a DO/
